# SMS received

An action block that awaits an incoming SMS.

The fiber will pause until an SMS has been received.

This block only works for SMS, not MMS, RCS and other kinds of IM, e.g. as provided by Project Fi by Google.

Note! Some messaging apps may “consume” incoming SMS preventing subsequent apps from receiving them.

## Input arguments

- Phone number — only proceed when this phone number sent the incoming message, default is any phone number.
- Subscription id — id of subscription (SIM) that the incoming message must be received through, default is any subscription. (Not officially supported by Android)

## Output variables

- Phone number — variable to assign the phone number of the sender.
- Used subscription id — variable to assign the id of subscription (SIM) though which the SMS was received. (Not officially supported by Android)
- Message — variable to assign the message, if text based.
- Timestamp sent — variable to assign the unix timestamp when the message was sent, or `null` if unavailable.